libzypp 17.37.10

libxmlfwd.cc File Reference
`#include <iostream>`
`#include <zypp/parser/xml/libxmlfwd.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::xml

## Macros
#define | X(T)

## Functions
std::ostream & | zypp::xml::operator<< (std::ostream &str, const ReadState &obj)
std::ostream & | zypp::xml::operator<< (std::ostream &str, const NodeType &obj)

## Macro Definition Documentation

## ◆ X [1/2]

#define X | ( |  | T | ) |

Value:
case XML_TEXTREADER_MODE_##T: return str << #T
str
String related utilities and Regular expression matching.

## ◆ X [2/2]

#define X | ( |  | T | ) |

Value:
case XML_READER_TYPE_##T: return str << #T